curl --request GET \
--url https://api-testbed.giftbit.com/papi/v1/brands \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-testbed.giftbit.com/papi/v1/brands"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-testbed.giftbit.com/papi/v1/brands', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"brands": [
{
"brand_code": "AMZNCOM",
"name": "Amazon.com",
"image_url": "https://uploadedimages.giftbit.com/550/amazon-30ec8f7a-616a-46aa-aa3f-cafbca10bddc.jpg",
"disclaimer": "Amazon.com Gift Cards (\"GCs\") sold by Giftbit Inc., an authorized and independent reseller of Amazon.com Gift Cards."
},
{
"brand_code": "WHOLEFOODS",
"name": "Whole Foods Market",
"image_url": "https://uploadedimages.giftbit.com/wholefoods/wholefoodsgiftbit-f629cfa4-c7f1-4c6f-9a67-f8ee144b8db7.png"
}
],
"number_of_results": 2,
"info": {
"code": "INFO_BRANDS_RETRIEVED",
"name": "Brand(s) Retrieved",
"message": "A list of brands or single brand has been retrieved"
},
"limit": 20,
"offset": 0,
"total_count": 2
}List brands
Returns a list of reward brands available from Giftbit, including the
brand_code and an allowed price to include in your calls to /campaign,
/direct_links, or /embedded.
Some brands only allow certain fixed values, while others have an allowed range. You can restrict the results list with any combination of price, currency, region, or search terms.
The results can be paged.
Authorizations
Send your API token prefixed by Bearer in the Authorization header.
Query Parameters
Limits results to brands available in the provided region id, as returned from /regions.
Limits results to brands that have an available reward option less than or equal to this value.
Limits results to brands that have an available reward option greater than or equal to this value.
Limits results to brands that have an available reward matching the provided currency.
CAD, USD, AUD Limits results to brands containing the search term in their name, description, or other fields.
Limits the number of results. Default 20.
Offsets the results. Used for paging. Default 0.
If true, brands that cannot be used for in-app delivery via /embedded are omitted.